=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"kmail\")

qt_generate_dbus_interface(kmkernel.h org.kde.kmail.kmail.xml OPTIONS -a)
qt_generate_dbus_interface(editor/kmcomposerwin.h org.kde.kmail.mailcomposer.xml OPTIONS -a)

add_custom_target(kmail_xml ALL
    DEPENDS ${kmail_BINARY_DIR}/src/org.kde.kmail.kmail.xml
    DEPENDS ${kmail_BINARY_DIR}/src/org.kde.kmail.mailcomposer.xml
    COMMENT "Helper target for XML stuff. The Kontact plugin, KOrganizer and others depend on it."
    )

if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

add_subdirectory(pics)
add_subdirectory(icons)
add_subdirectory(kontactplugin)

########### kmailprivate ###############




set(kmail_common_SRCS)
ecm_qt_declare_logging_category(kmail_common_SRCS HEADER kmail_debug.h IDENTIFIER KMAIL_LOG CATEGORY_NAME org.kde.pim.kmail
        DESCRIPTION "kmail (kmail)"
        OLD_CATEGORY_NAMES log_kmail
        EXPORT KMAIL
    )

ecm_qt_declare_logging_category(kmail_common_SRCS HEADER kmail_undo_send_debug.h IDENTIFIER KMAIL_UNDO_SEND_LOG CATEGORY_NAME org.kde.pim.kmail
        DESCRIPTION "kmail undo send (kmail)"
        OLD_CATEGORY_NAMES log_undo_send_kmail
        EXPORT KMAIL
    )

add_library(kmailprivate)
if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    target_sources(kmailprivate PRIVATE
        userfeedback/accountinfosource.cpp
        userfeedback/plugininfosource.cpp
        userfeedback/kmailuserfeedbackprovider.cpp
        userfeedback/accountinfosource.h
        userfeedback/plugininfosource.h
        userfeedback/kmailuserfeedbackprovider.h
        )
endif()

target_sources(kmailprivate PRIVATE
    ${kmail_common_SRCS}
    attributes/taskattribute.cpp
    folderarchive/folderarchiveaccountinfo.cpp
    folderarchive/folderarchiveutil.cpp
    folderarchive/folderarchivecache.cpp
    folderarchive/folderarchiveagentcheckcollection.cpp
    folderarchive/folderarchivemanager.cpp
    folderarchive/folderarchiveagentjob.cpp
    collectionpage/collectiontemplatespage.cpp
    collectionpage/collectionviewpage.cpp
    collectionpage/collectionquotapage.cpp
    collectionpage/collectionquotawidget.cpp
    collectionpage/collectionmailinglistpage.cpp
    collectionpage/collectionshortcutpage.cpp
    configuredialog/configagentdelegate.cpp
    configuredialog/configuredialoglistview.cpp
    configuredialog/configuredialog.cpp
    configuredialog/configuredialog_p.cpp
    configuredialog/configuremiscpage.cpp
    configuredialog/configuresecuritypage.cpp
    configuredialog/configurecomposerpage.cpp
    configuredialog/configureappearancepage.cpp
    configuredialog/configureaccountpage.cpp
    configuredialog/configurepluginpage.cpp
    configuredialog/colorlistbox.cpp
    configuredialog/configureplugins/configurepluginslistwidget.cpp
    searchdialog/kmsearchmessagemodel.cpp
    searchdialog/searchpatternwarning.cpp
    searchdialog/kmailsearchpatternedit.cpp
    searchdialog/searchwindow.cpp
    searchdialog/searchdescriptionattribute.cpp
    searchdialog/incompleteindexdialog.cpp
    identity/identitylistview.cpp
    identity/identitydialog.cpp
    identity/xfaceconfigurator.cpp
    identity/encodedimagepicker.cpp
    identity/identitypage.cpp
    identity/newidentitydialog.cpp
    identity/identityeditvcarddialog.cpp
    identity/identityaddvcarddialog.cpp
    identity/identityinvalidfolder.cpp
    identity/identityfolderrequester.cpp
    editor/kmcomposereditorng.cpp
    editor/subjectlineeditwithautocorrection.cpp
    editor/subjectlineeditwithautocorrection.h
    editor/composer.cpp
    editor/codec/codecaction.cpp
    editor/codec/codecmanager.cpp
    editor/kmcomposerwin.cpp
    editor/attachment/attachmentcontroller.cpp
    editor/attachment/attachmentview.cpp
    editor/widgets/cryptostateindicatorwidget.cpp
    editor/validatesendmailshortcut.cpp
    editor/kmcomposerglobalaction.cpp
    editor/kmcomposerupdatetemplatejob.cpp
    editor/kmcomposercreatenewcomposerjob.cpp
    editor/pimmessagebox.cpp
    editor/warningwidgets/externaleditorwarning.cpp
    editor/warningwidgets/attachmentmissingwarning.cpp
    editor/warningwidgets/incorrectidentityfolderwarning.cpp
    editor/warningwidgets/attachmentaddedfromexternalwarning.cpp
    editor/warningwidgets/toomanyrecipientswarning.cpp
    editor/potentialphishingemail/potentialphishingemailwarning.cpp
    editor/potentialphishingemail/potentialphishingemailjob.cpp
    editor/potentialphishingemail/potentialphishingdetaildialog.cpp
    editor/potentialphishingemail/potentialphishingdetailwidget.cpp
    dialog/archivefolderdialog.cpp
    dialog/addemailtoexistingcontactdialog.cpp
    dialog/kmknotify.cpp
    dialog/spellcheckerconfigdialog.cpp
    job/addressvalidationjob.cpp
    job/createnewcontactjob.cpp
    job/addemailtoexistingcontactjob.cpp
    job/createtaskjob.cpp
    job/savedraftjob.cpp
    job/removeduplicatemailjob.cpp
    job/createfollowupreminderonexistingmessagejob.cpp
    job/removecollectionjob.cpp
    job/saveasfilejob.cpp
    job/markallmessagesasreadinfolderandsubfolderjob.cpp
    job/removeduplicatemessageinfolderandsubfolderjob.cpp
    job/handleclickedurljob.cpp
    job/composenewmessagejob.cpp
    job/opencomposerjob.cpp
    job/newmessagejob.cpp
    job/opencomposerhiddenjob.cpp
    job/fillcomposerjob.cpp
    job/createreplymessagejob.cpp
    job/createforwardmessagejob.cpp
    job/dndfromarkjob.cpp
    job/clearcachejobinfolderandsubfolderjob.cpp
    job/clearcachejobinfolderandsubfolderjob.h
    widgets/collectionpane.cpp
    widgets/vacationscriptindicatorwidget.cpp
    widgets/displaymessageformatactionmenu.cpp
    widgets/kactionmenutransport.cpp
    widgets/kactionmenuaccount.cpp
    widgets/zoomlabelwidget.cpp
    tag/tagactionmanager.cpp
    tag/tagselectdialog.cpp
    tag/tagmonitormanager.cpp
    plugininterface/kmailplugininterface.cpp
    plugininterface/kmailplugincheckbeforedeletingmanagerinterface.cpp
    editor/plugininterface/kmailplugineditormanagerinterface.cpp
    editor/plugininterface/kmailplugineditorcheckbeforesendmanagerinterface.cpp
    editor/plugininterface/kmailplugineditorinitmanagerinterface.cpp
    editor/plugininterface/kmailplugineditorconverttextmanagerinterface.cpp
    editor/plugininterface/kmailplugingrammareditormanagerinterface.cpp
    search/checkindexingmanager.cpp
    search/checkindexingjob.cpp
    sieveimapinterface/kmailsieveimapinstanceinterface.cpp
    sieveimapinterface/kmsieveimappasswordprovider.cpp
    undosend/undosendcombobox.cpp
    undosend/undosendmanager.cpp
    undosend/undosendcreatejob.cpp
    kmmainwin.cpp
    settings/kmailsettings.cpp
    kmreaderwin.cpp
    kmsystemtray.cpp
    unityservicemanager.cpp
    undostack.cpp
    kmkernel.cpp
    kmcommands.cpp
    kmreadermainwin.cpp
    kmmainwidget.cpp
    aboutdata.cpp
    mailserviceimpl.cpp
    secondarywindow.cpp
    util.cpp
    messageactions.cpp
    foldershortcutactionmanager.cpp
    kmlaunchexternalcomponent.cpp
    manageshowcollectionproperties.cpp
    kmmigrateapplication.cpp
    kmail.qrc

    attributes/taskattribute.h
    folderarchive/folderarchiveaccountinfo.h
    folderarchive/folderarchiveutil.h
    folderarchive/folderarchivecache.h
    folderarchive/folderarchiveagentcheckcollection.h
    folderarchive/folderarchivemanager.h
    folderarchive/folderarchiveagentjob.h
    collectionpage/collectiontemplatespage.h
    collectionpage/collectionviewpage.h
    collectionpage/collectionquotapage.h
    collectionpage/collectionquotawidget.h
    collectionpage/collectionmailinglistpage.h
    collectionpage/collectionshortcutpage.h
    configuredialog/configagentdelegate.h
    configuredialog/configuredialoglistview.h
    configuredialog/configuredialog.h
    configuredialog/configuredialog_p.h
    configuredialog/configuremiscpage.h
    configuredialog/configuresecuritypage.h
    configuredialog/configurecomposerpage.h
    configuredialog/configureappearancepage.h
    configuredialog/configureaccountpage.h
    configuredialog/configurepluginpage.h
    configuredialog/colorlistbox.h
    configuredialog/configureplugins/configurepluginslistwidget.h
    searchdialog/kmsearchmessagemodel.h
    searchdialog/searchpatternwarning.h
    searchdialog/kmailsearchpatternedit.h
    searchdialog/searchwindow.h
    searchdialog/searchdescriptionattribute.h
    searchdialog/incompleteindexdialog.h
    identity/identitylistview.h
    identity/identitydialog.h
    identity/xfaceconfigurator.h
    identity/encodedimagepicker.h
    identity/identitypage.h
    identity/newidentitydialog.h
    identity/identityeditvcarddialog.h
    identity/identityaddvcarddialog.h
    identity/identityinvalidfolder.h
    identity/identityfolderrequester.h
    editor/kmcomposereditorng.h
    editor/composer.h
    editor/codec/codecaction.h
    editor/codec/codecmanager.h
    editor/kmcomposerwin.h
    editor/attachment/attachmentcontroller.h
    editor/attachment/attachmentview.h
    editor/widgets/cryptostateindicatorwidget.h
    editor/validatesendmailshortcut.h
    editor/kmcomposerglobalaction.h
    editor/kmcomposerupdatetemplatejob.h
    editor/kmcomposercreatenewcomposerjob.h
    editor/pimmessagebox.h
    editor/warningwidgets/externaleditorwarning.h
    editor/warningwidgets/attachmentmissingwarning.h
    editor/warningwidgets/incorrectidentityfolderwarning.h
    editor/warningwidgets/attachmentaddedfromexternalwarning.h
    editor/warningwidgets/toomanyrecipientswarning.h
    editor/potentialphishingemail/potentialphishingemailwarning.h
    editor/potentialphishingemail/potentialphishingemailjob.h
    editor/potentialphishingemail/potentialphishingdetaildialog.h
    editor/potentialphishingemail/potentialphishingdetailwidget.h
    dialog/archivefolderdialog.h
    dialog/addemailtoexistingcontactdialog.h
    dialog/kmknotify.h
    dialog/spellcheckerconfigdialog.h
    job/addressvalidationjob.h
    job/createnewcontactjob.h
    job/addemailtoexistingcontactjob.h
    job/createtaskjob.h
    job/savedraftjob.h
    job/removeduplicatemailjob.h
    job/createfollowupreminderonexistingmessagejob.h
    job/removecollectionjob.h
    job/saveasfilejob.h
    job/markallmessagesasreadinfolderandsubfolderjob.h
    job/removeduplicatemessageinfolderandsubfolderjob.h
    job/handleclickedurljob.h
    job/composenewmessagejob.h
    job/opencomposerjob.h
    job/newmessagejob.h
    job/opencomposerhiddenjob.h
    job/fillcomposerjob.h
    job/createreplymessagejob.h
    job/createforwardmessagejob.h
    job/dndfromarkjob.h
    widgets/collectionpane.h
    widgets/vacationscriptindicatorwidget.h
    widgets/displaymessageformatactionmenu.h
    widgets/kactionmenutransport.h
    widgets/kactionmenuaccount.h
    widgets/zoomlabelwidget.h
    tag/tagactionmanager.h
    tag/tagselectdialog.h
    tag/tagmonitormanager.h
    plugininterface/kmailplugininterface.h
    plugininterface/kmailplugincheckbeforedeletingmanagerinterface.h
    editor/plugininterface/kmailplugineditormanagerinterface.h
    editor/plugininterface/kmailplugineditorcheckbeforesendmanagerinterface.h
    editor/plugininterface/kmailplugineditorinitmanagerinterface.h
    editor/plugininterface/kmailplugineditorconverttextmanagerinterface.h
    editor/plugininterface/kmailplugingrammareditormanagerinterface.h
    search/checkindexingmanager.h
    search/checkindexingjob.h
    sieveimapinterface/kmailsieveimapinstanceinterface.h
    sieveimapinterface/kmsieveimappasswordprovider.h
    undosend/undosendcombobox.h
    undosend/undosendmanager.h
    undosend/undosendcreatejob.h
    kmmainwin.h
    settings/kmailsettings.h
    kmreaderwin.h
    kmsystemtray.h
    unityservicemanager.h
    undostack.h
    kmkernel.h
    kmcommands.h
    kmreadermainwin.h
    kmmainwidget.h
    aboutdata.h
    mailserviceimpl.h
    secondarywindow.h
    util.h
    messageactions.h
    foldershortcutactionmanager.h
    kmlaunchexternalcomponent.h
