=== debian/changelog ===
kmail (4:23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:02 +1100

kmail (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libkpim5messagecomposer5t64,
    libkpim5messagecore5t64, libkpim5messagelist5t64,
    libkpim5messageviewer5t64, libkpim5mimetreeparser5t64,
    libkpim5templateparser5t64, libkpim5webengineviewer5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:15:31 +0100

kmail (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:07:30 +0000

kmail (4:23.08.5-0ubuntu2) noble; urgency=medium

  * Recommend akonadi-import-wizard so it doesn't silently fail 
    when a user tries to import from another mail client.

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 26 Feb 2024 09:31:05 -0700

kmail (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:05:14 -0700

kmail (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 09 Feb 2024 09:16:39 -0700

kmail (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844 
  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 01:54:54 -0700
