=== debian/control ===
Source: kmail
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               dh-apparmor,
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               kuserfeedback-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme-dev,
               libgpgmepp-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:23.08.5~),
               libkf5akonadicalendar-dev (>= 4:23.08.5~),
               libkf5akonadicontact-dev (>= 4:23.08.5~),
               libkf5akonadimime-dev (>= 4:23.08.5~),
               libkf5akonadinotes-dev (>= 4:23.08.5~),
               libkf5akonadisearch-dev (>= 4:23.08.5~),
               libkf5akonadiserver-dev (>= 4:23.08.5~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:23.08.5~),
               libkf5calendarutils-dev (>= 4:23.08.5~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.5~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:23.08.5~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 23.08.5~),
               libkf5gravatar-dev (>= 4:23.08.5~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 23.08.5~),
               libkf5imap-dev (>= 23.08.5~),
               libkf5incidenceeditor-dev (>= 23.08.5~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 23.08.5~),
               libkf5ksieve-dev (>= 4:23.08.5~),
               libkf5ldap-dev (>= 23.08.5~),
               libkf5libkdepim-dev (>= 4:23.08.5~),
               libkf5libkleo-dev (>= 4:23.08.5~),
               libkf5mailcommon-dev (>= 4:23.08.5~),
               libkf5mailimporter-dev (>= 4:23.08.5~),
               libkf5mailtransport-dev (>= 23.08.5~),
               libkf5mbox-dev (>= 23.08.5~),
               libkf5messagecomposer-dev (>= 4:23.08.5~),
               libkf5messagecore-dev (>= 4:23.08.5~),
               libkf5messagelist-dev (>= 4:23.08.5~),
               libkf5messageviewer-dev (>= 4:23.08.5~),
               libkf5mime-dev (>= 23.08.5~),
               libkf5mimetreeparser-dev (>= 4:23.08.5~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.5~),
               libkf5pimtextedit-dev (>= 23.08.5~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 18.08.3~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:23.08.5~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5tnef-dev (>= 4:23.08.5~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:23.08.5~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 23.08.5~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail

Package: kmail
Section: mail
Architecture: any
Depends: akonadi-server (>= 4:16.04),
         kdepim-runtime,
         libkf5akonadisearch-bin,
         libkf5akonadisearch-plugins,
         libkf5grantleetheme-plugins,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: accountwizard,
            gnupg-agent,
            gnupg2,
            kdepim-addons,
            kdepim-themeeditors,
            kmailtransport-akonadi,
            ktnef,
            mbox-importer,
            pim-data-exporter,
            pim-sieve-editor,
            pinentry-qt | pinentry-x11,
            akonadi-import-wizard,
Suggests: apparmor,
          clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114,
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Environments.

Package: ktnef
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.12), kmail (<= 4:16.04), kontact (<< 4:17.04)
Replaces: kdepim-doc (<= 4:16.12), kmail (<= 4:16.04), kontact (<< 4:17.04)
Description: Viewer for mail attachments using TNEF format
 The TNEF File Viewer allows one to handle easily mail attachments using
 the TNEF format. Those attachments are usually found in mails coming from
 Microsoft mail servers and embed the mail properties as well as the actual
 attachments.
 .
 An attachment in TNEF format is most often named winmail.dat or win.dat.
